<?php
/**
 * The template for displaying posts in the Status post format
 * content-status.php
 * @package WordPress
 * @subpackage black white
 */
?>

	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
<header class="entry-header">
				<h2 class="post-type"><?php the_title(); ?></h2>
<div class="entry-meta">
<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'black_white_author_bio_avatar_size', 74 ) ); ?>
Status from : <h3 class="entry-meta"><a class="author-link" href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" rel="author"><?php printf( get_the_author() ); ?></a> on 
<a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'black-white' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php echo get_the_date(); ?></a> 
</h3>
</div>

		</header><!-- .entry-header -->

		<div class="entry-content">
			<?php the_content( __( 'Continue reading <span class="meta-nav">&rarr;</span>', 'black-white' ) ); ?>
		</div><!-- .entry-content -->

		<footer class="entry-meta">
			<?php if ( comments_open() ) : ?>
			<div class="comments-link">
				<?php comments_popup_link( '<span class="leave-reply">' . __( 'Leave a reply', 'black-white' ) . '</span>', __( '1 Reply', 'twentytwelve' ), __( '% Replies', 'black-white' ) ); ?>
			</div><!-- .comments-link -->
			<?php endif; // comments_open() ?>
			<?php edit_post_link( __( 'Edit', 'black-white' ), '<span class="edit-link">', '</span>' ); ?>
		</footer><!-- .entry-meta -->
	</article><!-- #post -->