<?php
/*
 * Social links settings
 * Since BW version 2.1
 */
	$email_link = get_theme_mod( 'email_link' );
	$twitter_link = get_theme_mod( 'twitter_link' );
	$facebook_link = get_theme_mod( 'facebook_link' );
	$pinterest_link = get_theme_mod( 'pinterest_link' );
	$google_plus_link = get_theme_mod( 'google_plus_link' );
	$youtube_link = get_theme_mod( 'youtube_link' );
	$flickr_link = get_theme_mod( 'flickr_link' );
	$linkedin_link = get_theme_mod( 'linkedin_link' );
	$skype_link = get_theme_mod( 'skype_link' );
	$tumblr_link = get_theme_mod( 'tumblr_link' );
	$social_links = ( '' != $email_link
		|| '' != $twitter_link
		|| '' != $facebook_link
		|| '' != $pinterest_link
		|| '' != $google_plus_link
		|| '' != $youtube_link
		|| '' != $flickr_link
		|| '' != $linkedin_link
		|| '' != $skype_link
		|| '' != $tumblr_link
	) ? true : false;
?>
	<?php
		// Display the social links
		 if ( $social_links ) : ?>
	<div id="bw-social">
		<ul class="bw-social-links clear">
			<?php if ( is_email( $email_link ) ) : ?>
			<li class="bw-email-link">
				<a href="mailto:<?php echo antispambot( sanitize_email( $email_link ) ); ?>" title="<?php esc_attr_e( 'Email', 'black-white' ); ?>" target="_blank">
					<span class="screen-reader-text"><?php _e( 'Email', 'black-white' ); ?></span>
				</a>
			</li>
			<?php endif; ?>

			<?php if ( '' != $twitter_link ) : ?>
			<li class="bw-twitter-link">
				<a href="<?php echo esc_url( $twitter_link ); ?>" title="<?php esc_attr_e( 'Twitter', 'black-white' ); ?>" target="_blank">
					<span class="screen-reader-text"><?php _e( 'Twitter', 'black-white' ); ?></span>
				</a>
			</li>
			<?php endif; ?>

			<?php if ( '' != $facebook_link ) : ?>
			<li class="bw-facebook-link">
				<a href="<?php echo esc_url( $facebook_link ); ?>" title="<?php esc_attr_e( 'Facebook', 'black-white' ); ?>" target="_blank">
					<span class="screen-reader-text"><?php _e( 'Facebook', 'black-white' ); ?></span>
				</a>
			</li>
			<?php endif; ?>

			<?php if ( '' != $pinterest_link ) : ?>
			<li class="bw-pinterest-link">
				<a href="<?php echo esc_url( $pinterest_link ); ?>" title="<?php esc_attr_e( 'Pinterest', 'black-white' ); ?>" target="_blank">
					<span class="screen-reader-text"><?php _e( 'Pinterest', 'black-white' ); ?></span>
				</a>
			</li>
			<?php endif; ?>

			<?php if ( '' != $google_plus_link ) : ?>
			<li class="bw-google-link">
				<a href="<?php echo esc_url( $google_plus_link ); ?>" title="<?php esc_attr_e( 'Google Plus', 'black-white' ); ?>" target="_blank">
					<span class="screen-reader-text"><?php _e( 'Google Plus', 'black-white' ); ?></span>
				</a>
			</li>
			<?php endif; ?>

			<?php if ( '' != $youtube_link ) : ?>
			<li class="bw-youtube-link">
				<a href="<?php echo esc_url( $youtube_link ); ?>" title="<?php esc_attr_e( 'YouTube', 'black-white' ); ?>" target="_blank">
					<span class="screen-reader-text"><?php _e( 'YouTube', 'black-white' ); ?></span>
				</a>
			</li>
			<?php endif; ?>

			<?php if ( '' != $flickr_link ) : ?>
			<li class="bw-flickr-link">
				<a href="<?php echo esc_url( $flickr_link ); ?>" title="<?php esc_attr_e( 'Flickr', 'ryu' ); ?>" target="_blank">
					<span class="screen-reader-text"><?php _e( 'Flickr', 'black-white' ); ?></span>
				</a>
			</li>
			<?php endif; ?>

			<?php if ( '' != $linkedin_link ) : ?>
			<li class="bw-linkedin-link">
				<a href="<?php echo esc_url( $linkedin_link ); ?>" title="<?php esc_attr_e( 'LinkedIn', 'black-white' ); ?>" target="_blank">
					<span class="screen-reader-text"><?php _e( 'LinkedIn', 'ryu' ); ?></span>
				</a>
			</li>
			<?php endif; ?>

			<?php if ( '' != $skype_link ) : ?>
			<li class="bw-skype-link">
				<a href="<?php echo esc_url( $skype_link ); ?>" title="<?php esc_attr_e( 'Skype', 'black-white' ); ?>" target="_blank">
					<span class="screen-reader-text"><?php _e( 'Skype', 'black-white' ); ?></span>
				</a>
			</li>
			<?php endif; ?>

			<?php if ( '' != $tumblr_link ) : ?>
			<li class="bw-tumblr-link">
				<a href="<?php echo esc_url( $tumblr_link ); ?>" title="<?php esc_attr_e( 'Tumblr', 'black-white' ); ?>" target="_blank">
					<span class="screen-reader-text"><?php _e( 'Tumblr', 'black-white' ); ?></span>
				</a>
			</li>
			<?php endif; ?>
		</ul>
	</div>
	<?php endif; ?>